Index: webapp/cms/plugins/mypage/pages/services/search.xsl.old
===================================================================
--- webapp/cms/plugins/mypage/pages/services/search.xsl.old	(revision 9137)
+++ webapp/cms/plugins/mypage/pages/services/search.xsl.old	(working copy)
@@ -24,245 +24,263 @@
     extension-element-prefixes="resolver math format">
     
     <xsl:import href="plugin:cms://stylesheets/helper/common.xsl"/>
+    <xsl:import href="service:web://pages/services/common.xsl"/>    
     
+    <!-- TODO -->
     <xsl:param name="cms-context"/>
+    <!-- TODO -->
     <xsl:param name="contextPath"/>
+    <!-- TODO -->
     <xsl:param name="prefix"/>
+    <!-- TODO -->
     <xsl:param name="plugin"/>
+    <!-- TODO -->
     <xsl:param name="siteName"/>
+    <!-- TODO -->
     <xsl:param name="lang"/>
     
     <xsl:variable name="uniqueId" select="substring-after(math:random(), '.')"/>
     
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">mypage search mypage-search</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/search)"/>     
+    
+    <!-- +
+         | ROOT TEMPLATE
+         + -->         
     <xsl:template match="/search">
-        <html>
-            <head>
-                <link rel="stylesheet" type="text/css" href="{$contextPath}/plugins/{$plugin}/resources/css/mypage.css"/>
-                
-                <xsl:call-template name="extra-css"/>
-                
-                <xsl:call-template name="extra-scripts"/>
-            </head>
+        <xsl:call-template name="common-service"/>
+    </xsl:template>
             
-            <body id="default">
-                <div class="mypage-search-wrapper">
-                    
-                    <xsl:choose>
-                        <xsl:when test="normalize-space(parameters/header) != ''">
-                            <h1><xsl:value-of select="parameters/header"/></h1>
-                        </xsl:when>
-                        <xsl:otherwise>
-                             <h1><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_SERVICE_TITLE"/></h1>
-                        </xsl:otherwise>
-                    </xsl:choose>
-                    
-                    <xsl:if test="not(persons/person) or parameters/on-same-page = 'true'">
-                        <xsl:call-template name="search-form"/>
-                        
-                        <xsl:if test="parameters/alpha-search = 'true'">
-                            <xsl:call-template name="alpha-search"/>
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="parameters/header"/>
+            <xsl:with-param name="default-title">plugin.<xsl:value-of select="$plugin"/>:PLUGINS_MYPAGE_SEARCH_SERVICE_TITLE</xsl:with-param>            
+        </xsl:call-template>            
+
+        <!-- Btn back to search -->
+        <xsl:if test="@executed = 'true' and not(parameters/on-same-page = 'true')">
+            <xsl:call-template name="common-service-body-back-button">
+                <xsl:with-param name="value"/>
+                <xsl:with-param name="url" select="$cms-context/@url"/>
+            </xsl:call-template>
+            <div class="back">
+                <a href="{$cms-context}/{@url}">
+                    <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_BACK_TO_FORM"/>
+                </a>
+            </div>
+        </xsl:if>                    
+        
+        <xsl:if test="not(persons/person) or parameters/on-same-page = 'true'">
+            <xsl:call-template name="search-form"/>
+            
+            <xsl:if test="parameters/alpha-search = 'true'">
+                <xsl:call-template name="alpha-search"/>
+            </xsl:if>
+        </xsl:if>
+        
+        <xsl:if test="@executed = 'true'">
+            <a name="nav"/>
+            
+            <div class="results">
+                <h2><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_TITLE"/></h2>
+                
+                <xsl:choose>
+                    <xsl:when test="persons/person">
+                        <xsl:if test="@has-more = 'true'">
+                            <p class="warning">
+                                <i18n:translate>
+                                    <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_TOO_MANY_RESULTS"/>
+                                    <i18n:param><xsl:value-of select="parameters/page-length"/></i18n:param>
+                                </i18n:translate>
+                            </p>
                         </xsl:if>
-                    </xsl:if>
-                    
-                    <xsl:if test="@executed = 'true'">
-                        <div class="results">
-                            <a name="results"/>
-                        
-                            <h2 class="title"><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_TITLE"/></h2>
-                            
-                            <xsl:choose>
-                                <xsl:when test="persons/person">
-                                    <xsl:if test="@has-more = 'true'">
-                                        <p class="warning">
-                                            <i18n:translate>
-                                                <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_TOO_MANY_RESULTS"/>
-                                                <i18n:param><xsl:value-of select="parameters/page-length"/></i18n:param>
-                                            </i18n:translate>
-                                        </p>
-                                    </xsl:if>
-                                
-                                    <xsl:apply-templates select="persons/person">
-                                        <xsl:sort select="attributes/attribute[@name = /search/parameters/order-attributes/attribute[1]/@name]"/>
-                                        <xsl:sort select="attributes/attribute[@name = /search/parameters/order-attributes/attribute[2]/@name]"/>
-                                        <xsl:sort select="attributes/attribute[@name = /search/parameters/order-attributes/attribute[3]/@name]"/>
-                                    </xsl:apply-templates>
-                                </xsl:when>
-                                <xsl:when test="not(values/value/@value[normalize-space(.) != '']) and normalize-space(@first-letter) = ''">
-                                    <p class="warning">
-                                        <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_EMPTY_FORM"/>
-                                    </p>
-                                </xsl:when>
-                                <xsl:otherwise>
-                                    <p class="no-result">
-                                        <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_NO_RESULT"/>
-                                    </p>
-                                </xsl:otherwise>
-                            </xsl:choose>
-                        </div>
-                    </xsl:if>
                     
-                    <xsl:if test="@executed = 'true' and not(parameters/on-same-page = 'true')">
-                        <a href="{$cms-context}/{@url}">
-                            <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_BACK_TO_FORM"/>
-                        </a>
-                    </xsl:if>
-                </div>
-            </body>
-        </html>
+                        <xsl:apply-templates select="persons/person">
+                            <xsl:sort select="attributes/attribute[@name = /search/parameters/order-attributes/attribute[1]/@name]"/>
+                            <xsl:sort select="attributes/attribute[@name = /search/parameters/order-attributes/attribute[2]/@name]"/>
+                            <xsl:sort select="attributes/attribute[@name = /search/parameters/order-attributes/attribute[3]/@name]"/>
+                        </xsl:apply-templates>
+                    </xsl:when>
+                    <xsl:when test="not(values/value/@value[normalize-space(.) != '']) and normalize-space(@first-letter) = ''">
+                        <p class="warning">
+                            <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_EMPTY_FORM"/>
+                        </p>
+                    </xsl:when>
+                    <xsl:otherwise>
+                        <p class="no-result">
+                            <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_NO_RESULT"/>
+                        </p>
+                    </xsl:otherwise>
+                </xsl:choose>
+            </div>
+        </xsl:if>
     </xsl:template>
     
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
+        <link rel="stylesheet" type="text/css" href="{$contextPath}/plugins/{$plugin}/resources/css/mypage.css"/>    
+    </xsl:template>    
+    
     <xsl:template name="search-form">
-        <div class="search-form">
         
-            <form name="search-form" action="{$cms-context}/{@url}#results" method="POST">
-                <input type="hidden" name="execute-search" value="true"/>
-                
-                <xsl:apply-templates select="parameters/search-attributes/attribute" mode="input"/>
-                
-                <div class="button">
-                    <button type="submit" class="search">
-                        <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_SEARCH_ACTION"/>
-                    </button>
-                </div>
-            </form>
+        <form name="search-form" action="{$cms-context}/{@url}#results" method="POST">
+            <input type="hidden" name="execute-search" value="true"/>
             
-        </div>
+            <xsl:apply-templates select="parameters/search-attributes/attribute" mode="input"/>
+            
+            <div class="button">
+                <button type="submit" class="search">
+                    <i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_RESULTS_SEARCH_ACTION"/>
+                </button>
+            </div>
+        </form>
+            
     </xsl:template>
     
     <xsl:template name="alpha-search">
         <xsl:variable name="attribute" select="/search/parameters/search-attributes/attribute[@alpha-search = 'true']/@id"/>
         
-        <div class="alpha-search">
+        <div class="results-sort alpha">
             <h2><i18n:text i18n:key="PLUGINS_MYPAGE_SEARCH_BY_LETTER"/></h2>
             
             <form name="alpha-form" action="{$cms-context}/{@url}#results" method="POST">
-                <ul class="alpha-nav">
-                     <li class="letter">
+                <ul>
+                     <li>
                         <input type="submit" name="firstLetter" value="A">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'A'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="B">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'B'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="C">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'C'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="D">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'D'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                         <input type="submit" name="firstLetter" value="E">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'E'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                         </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="F">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'F'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="G">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'G'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="H">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'H'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="I">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'I'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="J">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'J'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="K">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'K'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="L">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'L'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="M">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'M'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="N">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'N'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="O">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'O'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="P">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'P'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="Q">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'Q'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="R">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'R'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="S">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'S'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="T">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'T'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="U">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'U'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="V">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'V'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="W">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'W'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="X">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'X'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="Y">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'Y'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
                      </li>
-                     <li class="letter">
+                     <li>
                          <input type="submit" name="firstLetter" value="Z">
                             <xsl:if test="/search/parameters/alpha-search = 'true' and /search/@first-letter = 'Z'"><xsl:attribute name="class">current</xsl:attribute></xsl:if>
                          </input>
@@ -277,7 +295,7 @@
         <xsl:variable name="fieldId" select="concat(@id, '-', $uniqueId)"/>
         <div class="field">
             <div class="label"><label for="{$fieldId}"><xsl:copy-of select="label/i18n:*"/><xsl:text> </xsl:text></label></div>
-            <div>
+            <div class="input">
                 <xsl:choose>
                     <xsl:when test="value">
                         <select id="{$fieldId}" name="{@name}">
@@ -293,7 +311,7 @@
                         </select>
                     </xsl:when>
                     <xsl:otherwise>
-                        <input id="{$fieldId}" type="text" name="{@name}">
+                        <input id="{$fieldId}" type="text" name="{@name}" class="text">
                             <xsl:if test="not(ancestor::search/@first-letter) or ancestor::search/@first-letter = ''">
                                 <xsl:attribute name="value"><xsl:value-of select="ancestor::search/values/value[@attribute = $id]/@value"/></xsl:attribute>
                             </xsl:if>
@@ -505,8 +523,5 @@
             </xsl:otherwise>
         </xsl:choose>
     </xsl:template>
-    
-    <xsl:template name="extra-scripts"></xsl:template>
-    
-    <xsl:template name="extra-css"></xsl:template>
+
 </xsl:stylesheet>

Index: webapp/cms/plugins/tagcloud/pages/services/tagcloud/tagcloud.xsl
===================================================================
--- webapp/cms/plugins/tagcloud/pages/services/tagcloud/tagcloud.xsl	(revision 9137)
+++ webapp/cms/plugins/tagcloud/pages/services/tagcloud/tagcloud.xsl	(working copy)
@@ -19,71 +19,89 @@
                 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                 xmlns:escaper="org.ametys.runtime.plugins.core.EscapeForJavascript">
                 
+    <xsl:import href="service:web://pages/services/common.xsl"/>
+
+    <!-- TODO -->                    
 	<xsl:param name="contextPath"/>
+    <!-- TODO -->    
 	<xsl:param name="cms-context"/>
+    <!-- TODO -->
 	<xsl:param name="lang"/>
+    <!-- TODO -->
 	<xsl:param name="service-title"/>
+    <!-- TODO -->
 	<xsl:param name="order-by"/>
 	
-	<xsl:template match="tagCloud">
-		<html>
-			<head>
-				<link href="{$contextPath}/plugins/tagcloud/resources/css/tagcloud.css" type="text/css" rel="stylesheet" />
-			</head>
-			
-			<body>
-				<div class="tag-cloud-wrapper">
-				
-					<xsl:if test="$service-title != ''">
-	        			<h1><xsl:value-of select="$service-title" /></h1>
-	        		</xsl:if>
-	        	
-	        		<div class="tag-cloud">
-	        			
-	        			<xsl:choose>
-			        		<xsl:when test="/tagCloud/searchUrl">
-			        			<xsl:choose>
-				        			<xsl:when test="$order-by = 'alphabetical'">
-				        				<xsl:apply-templates select="item" mode="form">
-				        					<xsl:sort select="text()"/>
-				        				</xsl:apply-templates>
-				        			</xsl:when>
-				        			<xsl:otherwise>
-				        				<xsl:apply-templates select="item" mode="form">
-				        					<xsl:sort select="@nb" order="descending"/>
-				        					<xsl:sort select="text()"/>
-				        				</xsl:apply-templates>
-				        			</xsl:otherwise>
-			        			</xsl:choose>
-			        		</xsl:when>
-			        		
-			        		<xsl:otherwise>
-			        			<xsl:choose>
-				        			<xsl:when test="$order-by = 'alphabetical'">
-				        				<ul>
-					        				<xsl:apply-templates select="item">
-					        					<xsl:sort select="text()"/>
-					        				</xsl:apply-templates>
-					        			</ul>
-				        			</xsl:when>
-				        			<xsl:otherwise>
-				        				<ul>
-					        				<xsl:apply-templates select="item">
-					        					<xsl:sort select="@nb" order="descending"/>
-					        					<xsl:sort select="text()"/>
-					        				</xsl:apply-templates>
-					        			</ul>
-				        			</xsl:otherwise>
-			        			</xsl:choose>
-			        		</xsl:otherwise>
-			        	</xsl:choose>
-			        	<div style="clear: left"></div>
-		        	</div>
-				</div>
-			</body>
-		</html>
-	</xsl:template>
-	
+    <!-- Used in common.xsl -->
+    <xsl:variable name="common-service-css-class-name">tags tag-cloud</xsl:variable>
+    <xsl:variable name="is-empty" select="not(/tagCloud)"/>     
+    
+    
+    <!-- +
+         | ROOT TEMPLATE
+         + -->     
+	<xsl:template match="/tagCloud">
+        <xsl:call-template name="common-service"/>    
+    </xsl:template>
+    
+    <!-- +
+         | HEAD
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-head-css">
+        <link href="{$contextPath}/plugins/tagcloud/resources/css/tagcloud.css" type="text/css" rel="stylesheet" />    
+    </xsl:template>
+    
+    <!-- +
+         | BODY
+         + -->    
+
+    <!-- Used in common.xsl --> 
+    <xsl:template name="common-service-body-nonempty-content">
+        <xsl:call-template name="common-service-body-nonempty-content-title">
+            <xsl:with-param name="title" select="$service-title"/>
+        </xsl:call-template>
+        
+        <xsl:choose>
+            <xsl:when test="/tagCloud/searchUrl">
+                <xsl:choose>
+                    <xsl:when test="$order-by = 'alphabetical'">
+                        <xsl:apply-templates select="item" mode="form">
+                            <xsl:sort select="text()"/>
+                        </xsl:apply-templates>
+                    </xsl:when>
+                    <xsl:otherwise>
+                        <xsl:apply-templates select="item" mode="form">
+                            <xsl:sort select="@nb" order="descending"/>
+                            <xsl:sort select="text()"/>
+                        </xsl:apply-templates>
+                    </xsl:otherwise>
+                </xsl:choose>
+            </xsl:when>
+            
+            <xsl:otherwise>
+                <xsl:choose>
+                    <xsl:when test="$order-by = 'alphabetical'">
+                        <ul>
+                            <xsl:apply-templates select="item">
+                                <xsl:sort select="text()"/>
+                            </xsl:apply-templates>
+                        </ul>
+                    </xsl:when>
+                    <xsl:otherwise>
+                        <ul>
+                            <xsl:apply-templates select="item">
+                                <xsl:sort select="@nb" order="descending"/>
+                                <xsl:sort select="text()"/>
+                            </xsl:apply-templates>
+                        </ul>
+                    </xsl:otherwise>
+                </xsl:choose>
+            </xsl:otherwise>
+        </xsl:choose>            
+    </xsl:template>
+            
 	<xsl:template match="item" mode="form">
 		<form action="{$cms-context}/{/tagCloud/searchUrl}.html#nav" method="post" style="display:inline">
 			<div>
@@ -106,11 +124,10 @@
 				</xsl:if>
 				
 				<input type="hidden" name="tags-1" value="{@tag}"/>
-					<input type="hidden" name="tags-size" value="1"/>
+				<input type="hidden" name="tags-size" value="1"/>
 				<input type="hidden" name="submit-form"/>
 				
 				<input type="submit" name="submit" value="{text()}" class="tag size{@font-size}" title="{text()} - {frequency}"/>
-			
 			</div>
 	</form>
 	</xsl:template>
